petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoGetSolutionStatus

Get the current iterate, objective value, residual, infeasibility, and termination

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetSolutionStatus(Tao tao, PetscInt *its, PetscReal *f, PetscReal *gnorm, PetscReal *cnorm, PetscReal *xdiff, TaoConvergedReason *reason)

Not Collective

### Input Parameters

tao -the Tao context

### Output Parameters

| iterate | - the current iterate number (>=0)
| f | - the current function value
| gnorm | - the square of the gradient norm, duality gap, or other measure indicating distance from optimality.
| cnorm | - the infeasibility of the current solution with regard to the constraints.
| xdiff | - the step length or trust region radius of the most recent iterate.
| reason | - The termination reason, which can equal TAO_CONTINUE_ITERATING

### Note

TAO returns the values set by the solvers in the routine TaoMonitor().

### Note

If any of the output arguments are set to NULL, no corresponding value will be returned.

### See Also

TaoMonitor(), TaoGetConvergedReason()

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/bound/examples/tutorials/jbearing2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages